Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> PmWiki < 2.1 beta 21 Multiple Vulnerabilities


Vulnerability Assessment Details

PmWiki < 2.1 beta 21 Multiple Vulnerabilities

Vulnerability Assessment Summary
Checks for multiple vulnerabilities in PmWiki < 2.1 beta 21

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
multiple vulnerabilities.

Description :

The remote host is running PmWiki, an open-source Wiki written in PHP.

The version of PmWiki installed on the remote host permits attackers to
overwrite global variables if run under PHP 5 with 'register_globals'
enabled. For example, a possible hacker can exploit this issue to overwrite
the 'FarmD' variable before it's used in a PHP 'include()' function in
the 'pmwiki.php' script, which can permit him to view arbitrary files
on the remote host and even execute arbitrary PHP code, possibly taken
from third-party hosts.

See also :

http://www.ush.it/2006/01/24/pmwiki-multiple-vulnerabilities/
http://lists.grok.org.uk/pipermail/full-disclosure/2006-January/041820.html
http://www.pmichaud.com/pipermail/pmwiki-announce/2006-January/000091.html

Solution :

Upgrade to PmWiki 2.1 beta 21 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:N/I:P/A:N/B:N)

Networks Security ID: 16421

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Apple 27" Retina 5K iMac 4.0GHz i7 / 32GB Ram / 1TB SSD / 4GB M395X - Late 2015
$1799.0
Apple 27MSI GT72S Dominator G-037 17.3" GAMING LAPTOP GTX970M i7-6820HK 16GB 128SSD+1TB
$1399.0
MSI GT72S Dominator G-037 17.3iMac 21.5 late 2012 computer, 2.7 GHz Intel Core i5, 8BG, 1TB Perfect Condition
$1.0
iMac 21.5 late 2012 computer, 2.7 GHz Intel Core i5, 8BG, 1TB Perfect Condition pictureiMac 27” - 4GHz, 1TB SSD, 32GB Ram, 4GB GFX - Loaded with pro software
$2795.0
iMac 27” - 4GHz, 1TB SSD, 32GB Ram, 4GB GFX - Loaded with pro software picture


Discussions

No Discussions have been posted on this vulnerability.